<?php
class Free extends Controller
{
	function Free()
	{
		parent::Controller();
	}

	function index()
	{
		Header("HTTP/1.1 301 Moved Permanently");
		Header("Location: http://www.archlinexp.com/interior/download");
		exit;
		
		$this->load->model('mctr');

		$data['ctr'] = hun() ? $this->mctr->get_all_ctr('ctrNameHun') : $this->mctr->get_all_ctr();
		
        if(hun())
		    $data['cimlap'] = $this->mpages->get_row(291);
        elseif(be())
		    $data['cimlap'] = $this->mpages->get_row(363);
		elseif(jap())
		    $data['cimlap'] = $this->mpages->get_row(303);
		elseif( esp() )
			$data['cimlap'] = $this->mpages->get_row(453);
		else
			$data['cimlap'] = $this->mpages->get_row(470);

        $data['title'] = hun() ? 'ARCHLine.XP - Letöltés' : 'ARCHLine.XP FREE-EDITION - Download';
        $data['tartalom']='free/download';
        $data['javascript'] = array('intkit/JavaScriptFlashGateway', 'comparison', 'interior_menu', 'downloads_int');
        $data['csik']=array('home','freedownloads');
		
		$data["noindex"] = true;
		
		$this->load->view('site',$data);
	}
	
	function workflow()
	{
        if(hun())
		    $data['cimlap'] = $this->mpages->get_row(289);
		elseif(jap())
		    $data['cimlap'] = $this->mpages->get_row(300);
  		elseif(be())
		    $data['cimlap'] = $this->mpages->get_row(361);
		else
			$data['cimlap'] = $this->mpages->get_row(288);

		$data['title'] = hun() ? 'ARCHLine.XP Interior Belsőépítész program - Munkamenet' : 'ARCHLine.XP Interior Design Software - Workflow';
        $data['tartalom'] = '/interior/workflow';
        $data['javascript'] = array('intkit/JavaScriptFlashGateway', 'interior_menu', 'interior_banner');
        
		$this->load->view('site',$data);
	}
	
	function powerful()
	{
		if(hun())
		    $data['cimlap'] = $this->mpages->get_row(285);
        elseif(be())
		    $data['cimlap'] = $this->mpages->get_row(354);
		elseif(jap())
		    $data['cimlap'] = $this->mpages->get_row(302);
		else
			$data['cimlap'] = $this->mpages->get_row(284);

		$data['title'] = hun() ? 'ARCHLine.XP Interior Belsőépítész program - Kiemelkedő Jellemzők' : 'ARCHLine.XP Interior Design Software - Powerful Features';
        $data['tartalom'] = 'interior/powerful';
        $data['javascript'] = array('intkit/JavaScriptFlashGateway', 'interior_menu', 'interior_banner');
        
		$this->load->view('site',$data);
	}
	
	function comparison()
	{
        if(hun())
		    $data['cimlap'] = $this->mpages->get_row(290);
        elseif(be())
		    $data['cimlap'] = $this->mpages->get_row(362);
		elseif(jap())
		    $data['cimlap'] = $this->mpages->get_row(301);
		else
			$data['cimlap'] = $this->mpages->get_row(292);

        $data['title'] = hun() ? 'ARCHLine.XP Interior Belsőépítész program - Összehasonlítás' : 'ARCHLine.XP Interior Design Software - Comparison';
        $data['tartalom'] = 'interior/comparison';
        $data['javascript'] = array('intkit/JavaScriptFlashGateway', 'comparison', 'interior_menu', 'interior_banner');
        
		$this->load->view('site',$data);
	}
	
	function buy()
	{
		if(hun())
		    $data['cimlap'] = $this->mpages->get_row(287);
        elseif(be())
		    $data['cimlap'] = $this->mpages->get_row(360);
		elseif(jap())
		    $data['cimlap'] = $this->mpages->get_row(299);
		else
			$data['cimlap'] = $this->mpages->get_row(446);

        $data['title'] = hun() ? 'ARCHLine.XP Interior Belsőépítész program - Vásárlás' : 'ARCHLine.XP Interior Design Software - Purchase';
        $data['tartalom'] = 'interior/buy';
        $data['javascript'] = array('interior_menu');
        
		$this->load->view('site',$data);
	}
	
	function download()
	{
		Header("HTTP/1.1 301 Moved Permanently");
		Header("Location: http://www.archlinexp.com/interior/download");
		
		
		if( $this->uri->segment(3) == "esp" ){
			redirect('settings/lang2/esp');
		}
		
        $this->load->model('mctr');

		$data['ctr'] = hun() ? $this->mctr->get_all_ctr('ctrNameHun') : $this->mctr->get_all_ctr();
		
        if(hun())
		    $data['cimlap'] = $this->mpages->get_row(291);
        elseif(be())
		    $data['cimlap'] = $this->mpages->get_row(363);
		elseif(jap())
		    $data['cimlap'] = $this->mpages->get_row(303);
		elseif( esp() )
			$data['cimlap'] = $this->mpages->get_row(453);
		else
			$data['cimlap'] = $this->mpages->get_row(293);

        $data['title'] = hun() ? 'ARCHLine.XP Interior Belsőépítész program - Letöltés' : 'ARCHLine.XP Interior Design Software - Download';
        $data['tartalom']='interior/download';
        //$data['javascript'] = array('intkit/JavaScriptFlashGateway', 'comparison', 'interior_menu', 'interior_banner', 'downloads_int');
        $data['javascript'] = array('intkit/JavaScriptFlashGateway', 'comparison', 'interior_menu', 'downloads_int');
        
        $data['csik']=array('home','downloads');
		$this->load->view('site',$data);
	}
	
	function updates()
	{
		$this->load->model('mdownloads');
		$this->load->model('mctr');
		
		$data['heading']=$this->mdownloads->get_heading('updates');
		$data['downloads']=$this->mdownloads->get_category('updates',$this->muser->user['lang']);
		$data['aktiv']=2;
		
		$data['lang']=$this->muser->user['lang'];
		$data['tartalom']='interior/list2';
		$data['csik']=array('home','interior','updates');
		$data['title']='ARCHline.XP CAD Software - Download Updates';
		$this->load->view('site',$data);
	}
	
	
	function support()
	{
		$this->load->model('mdownloads');
		$this->load->model('mctr');
		
		$data['heading']=$this->mdownloads->get_heading('support');
		$data['downloads']=$this->mdownloads->get_category('support',$this->muser->user['lang']);
		$data['aktiv']=4;
		
		$data['lang']=$this->muser->user['lang'];
		$data['title'] = hun() ? 'ARCHLine.XP Támogatás' : 'ARCHLine.XP Support';
		$data['tartalom']='interior/list2';
		$data['csik']=array('home','interior','support');
		$this->load->view('site',$data);
	}
	
	function learn()
	{
		$data['learn_url'] = base64_decode($this->uri->segment(4));
        $data['title'] = hun() ? 'ARCHLine.XP Interior Belsőépítész program - Oktatás' : 'ARCHLine.XP Interior Design Software - Learn';
        $data['tartalom'] = 'interior/learn';
        $data['javascript'] = array('prototype', 'base64', 'anchor.jquery', 'learn', 'interior_menu', 'tooltip');
        !hun() ? $data['javascript'][3] = 'learn_eng' : '';

		$this->load->view('site',$data);
	}
	
	function system()
	{
        if(hun())
		    $data['cimlap'] = $this->mpages->get_row(275);
        elseif(be())
		    $data['cimlap'] = $this->mpages->get_row(355);
		else
			$data['cimlap'] = $this->mpages->get_row(274);
			
		$data['title'] = hun() ? 'ARCHLine.XP Interior Belsőépítész program - Rendszerkövetelmények' : 'ARCHLine.XP Interior Design Software - System Requirements';
        $data['tartalom'] = 'interior/system';
        $data['javascript'] = array('interior_menu');
        
        $data['csik']=array('home', 'rendszer');

		$this->load->view('site', $data);
	}
	
	function reasons()
	{
        if(hun())
		    $data['cimlap'] = $this->mpages->get_row(369);
		else
			$data['cimlap'] = $this->mpages->get_row(370);

		$data['title'] = hun() ? 'ARCHLine.XP Interior Belsőépítész program - 10 ok a vásárlásra' : 'ARCHLine.XP Interior Design Software - 10 reasons to buy';
        $data['tartalom'] = '/interior/reasons';
        $data['javascript'] = array('interior_menu');
        
        $data['csik']=array('home','10ok');

		$this->load->view('site',$data);
	}
	
	function sentint()
	{
        $data['title'] = hun() ? 'ARCHLine.XP Interior Letöltés - Sikeres' : 'ARCHLine.XP Free Edition Download - Successful';
		$data['tartalom']='free/sentint';
		$data['csik']=array('home','downloads');
		$data['lang']=$this->muser->user['lang'];

		$this->load->view('site',$data);
	}

	function special_offer()
	{
        $data['title'] = 'ARCHLine.XP Interior - Special Offer';
		$data['tartalom']='interior/special_offer';
		$data['cimlap'] = $this->mpages->get_row(430);
		$data['csik']=array('home','interior');

		$this->load->view('site',$data);
	}
	
}
?>